PLaSK library

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType > Class Template Reference

`#include <solvers/electrical/olddiffusion/diffusion1d.hpp>`

Inheritance diagram for plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >:
[legend]
Collaboration diagram for plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >:
[legend]

## Classes
struct | ConcentrationDataImpl

## Public Types
enum | FemMethod { FEM_LINEAR , FEM_PARABOLIC }
enum | ComputationType { COMPUTATION_INITIAL , COMPUTATION_THRESHOLD , COMPUTATION_OVERTHRESHOLD }
Public Types inherited from plask::SolverWithMesh< Geometry2DType, RegularMesh1D >
typedef RegularMesh1D | MeshType
| Type of the mesh for this solver.
Public Types inherited from plask::SolverOver< SpaceT >
typedef SpaceT | SpaceType
| of the space for this solver

## Public Member Functions
| DiffusionFem2DSolver (const std::string &name="")
virtual | ~DiffusionFem2DSolver ()
std::string | getClassName () const override
| Get name of solver.
void | loadConfiguration (XMLReader &, Manager &) override
| Load configuration from given `source`.
void | compute (ComputationType type)
void | compute_initial ()
void | compute_threshold ()
void | compute_overthreshold ()
shared_ptr< MeshAxis > | current_mesh_ptr ()
RegularAxis & | current_mesh ()
double | burning_integral (void)
std::string | getClassName () const
| Get name of solver.
std::string | getClassName () const
| Get name of solver.
Public Member Functions inherited from plask::SolverWithMesh< Geometry2DType, RegularMesh1D >
| SolverWithMesh (const std::string &name="")
| ~SolverWithMesh ()
void | loadConfiguration (XMLReader &source, Manager &manager) override
| Load configuration from given `source`.
void | parseStandardConfiguration (XMLReader &source, Manager &manager, const std::string &expected_msg="solver configuration element")
virtual void | onMeshChange (const typename MeshT::Event &PLASK_UNUSED(evt))
| This method is called just after the mesh has been changed.
void | onGeometryChange (const Geometry::Event &PLASK_UNUSED(evt)) override
| This method is called when the geometry is changed.
RegularMesh1D & | meshRef () const
| Get current module mesh.
shared_ptr< RegularMesh1D > | getMesh () const
| Get current solver mesh.
void | setMesh (const shared_ptr< RegularMesh1D > &mesh)
| Set new mesh for the solver.
void | setMesh (shared_ptr< MeshGeneratorD< MeshT::DIM > > generator)
| Set new mesh got from generator.
Public Member Functions inherited from plask::SolverOver< SpaceT >
| SolverOver (const std::string &name="")
| ~SolverOver ()
void | parseStandardConfiguration (XMLReader &source, Manager &manager, const std::string &expected_msg="solver configuration element")
virtual void | onGeometryChange (const Geometry::Event &)
| This method is called when the geometry is changed.
shared_ptr< SpaceT > | getGeometry () const
| Get current solver geometry space.
void | setGeometry (const shared_ptr< SpaceT > &geometry)
| Set new geometry for the solver.
Public Member Functions inherited from plask::Solver
bool | initCalculation ()
| This should be called on beginning of each calculation method to ensure that solver will be initialized.
| Solver (const std::string &name="")
| Construct uninitialized solver.
virtual | ~Solver ()
| Virtual destructor (for subclassing). Do nothing.
void | parseStandardConfiguration (XMLReader &source, Manager &manager, const std::string &expected_msg="solver configuration element")
| Load standard configuration (geometry, mesh) tags from `source`.
bool | isInitialized ()
| Check if solver is already initialized.
void | invalidate ()
| This method should be and is called if something important was changed: calculation space, mesh, etc.
std::string | getId () const
| Get solver id.
std::string | getName () const
virtual std::string | getClassDescription () const
| Get a description of this solver.
template<typename ArgT = double, typename ValT = double>
DataLog< ArgT, ValT > | dataLog (const std::string &chart_name, const std::string &axis_arg_name, const std::string &axis_val_name)
template<typename ArgT = double, typename ValT = double>
DataLog< ArgT, ValT > | dataLog (const std::string &axis_arg_name, const std::string &axis_val_name)
template<typename ... Args>
void | writelog (LogLevel level, std::string msg, Args &&... params) const
| Log a message for this solver.

## Public Attributes
ReceiverFor< CurrentDensity, Geometry2DType > | inCurrentDensity
ReceiverFor< Temperature, Geometry2DType > | inTemperature
ReceiverFor< Gain, Geometry2DType > | inGain
ReceiverFor< ModeWavelength > | inWavelength
ReceiverFor< ModeLightE, Geometry2DType > | inLightE
ProviderFor< CarriersConcentration, Geometry2DType >::Delegate | outCarriersConcentration
InterpolationMethod | interpolation_method
| Selected interpolation method.
double | relative_accuracy
| Relative accuracy.
int | max_mesh_changes
| Maximum number of mesh refinemenst.
int | max_iterations
| Maximum number of diffusion iterations for sigle mesh size.
FemMethod | fem_method
| Finite element method (linear or parabolic)
double | minor_concentration
bool | do_initial
| Should we start from initial computations.
std::vector< double > | modesP

## Protected Member Functions
double | jacobian (double r)
void | createMatrices (DataVector< double > A_matrix, DataVector< double > B_vector)
double | K (int i)
double | E (int i)
double | F (int i)
double | leftSide (std::size_t i)
double | rightSide (std::size_t i)
double | nSecondDeriv (std::size_t i)
bool | MatrixFEM ()
void | determineQwWidth ()
std::vector< Box2D > | detectQuantumWells ()
double | getZQWCoordinate ()
std::vector< double > | getZQWCoordinates ()
DataVector< const Tensor2< double > > | averageLi (LazyData< Vec< 3, dcomplex > > initLi, const RectangularMesh< 2 > &mesh_Li)
void | onInitialize () override
| Initialize the solver.
void | onInvalidate () override
| This method is called by invalidate() to reset stored values.
const LazyData< double > | getConcentration (CarriersConcentration::EnumType what, shared_ptr< const MeshD< 2 > > dest_mesh, InterpolationMethod interpolation=INTERPOLATION_DEFAULT) const
| Provide concentration from inside to the provider (outConcentration).
void | createMatrices (DataVector< double > A_matrix, DataVector< double > B_vector)
void | createMatrices (DataVector< double > A_matrix, DataVector< double > B_vector)
double | jacobian (double)
double | jacobian (double r)
Protected Member Functions inherited from plask::SolverOver< SpaceT >
template<typename Boundary , typename ConditionT >
void | readBoundaryConditions (Manager &manager, XMLReader &reader, BoundaryConditions< Boundary, ConditionT > &dest)
| Read boundary conditions using information about the geometry of this solver.

## Protected Attributes
shared_ptr< RectangularMesh< 2 > > | mesh2
| Computational mesh.
shared_ptr< Material > | QW_material
double | z
bool | initial_computation
bool | threshold_computation
bool | overthreshold_computation
double | global_QW_width
int | iterations
std::vector< Box2D > | detected_QW
LazyData< Vec< 2 > > | j_on_the_mesh
LazyData< double > | T_on_the_mesh
DataVector< double > | PM
DataVector< double > | overthreshold_dgdn
DataVector< double > | n_previous
DataVector< double > | n_present
Protected Attributes inherited from plask::SolverWithMesh< Geometry2DType, RegularMesh1D >
shared_ptr< RegularMesh1D > | mesh
| Mesh over which the calculations are performed.
boost::signals2::connection | mesh_signal_connection
| Connection of mesh to onMeshChange method, see http://www.boost.org/doc/libs/1_55_0/doc/html/signals2/tutorial.html#idp204830936.
Protected Attributes inherited from plask::SolverOver< SpaceT >
shared_ptr< SpaceT > | geometry
| Space in which the calculations are performed.
Protected Attributes inherited from plask::Solver
bool | initialized
| `true` only if solver is initialized

## Static Protected Attributes
static constexpr double | hk = phys::h_J/plask::PI

## Detailed Description

template<typename Geometry2DType>
class plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >

Definition at line 19 of file diffusion1d.hpp.

## Member Enumeration Documentation

## ◆ ComputationType

template<typename Geometry2DType >

enum plask::electrical::diffusion1d::DiffusionFem2DSolver::ComputationType

Enumerator
COMPUTATION_INITIAL |
COMPUTATION_THRESHOLD |
COMPUTATION_OVERTHRESHOLD |

Definition at line 27 of file diffusion1d.hpp.

## ◆ FemMethod

template<typename Geometry2DType >

enum plask::electrical::diffusion1d::DiffusionFem2DSolver::FemMethod

Enumerator
FEM_LINEAR |
FEM_PARABOLIC |

Definition at line 22 of file diffusion1d.hpp.

## Constructor & Destructor Documentation

## ◆ DiffusionFem2DSolver()

template<typename Geometry2DType >

plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::DiffusionFem2DSolver | ( | const std::string & | name = `""` | ) |
| inline

Definition at line 47 of file diffusion1d.hpp.

## ◆ ~DiffusionFem2DSolver()

template<typename Geometry2DType >

virtual plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::~DiffusionFem2DSolver | ( |  | ) |
| inline virtual

Definition at line 47 of file diffusion1d.hpp.

## Member Function Documentation

## ◆ averageLi()

template<typename Geometry2DType >

plask::DataVector< const Tensor2< double > > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::averageLi | ( | plask::LazyData< Vec< 3, dcomplex > > | Le,
|  | const RectangularMesh< 2 > & | mesh_Li
| ) |  |
| protected

Definition at line 861 of file diffusion1d.cpp.

## ◆ burning_integral()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::burning_integral | ( | void |  | ) |

Definition at line 742 of file diffusion1d.cpp.

## ◆ compute()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::compute | ( | ComputationType | type | ) |

Definition at line 114 of file diffusion1d.cpp.

## ◆ compute_initial()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::compute_initial | ( |  | ) |

Definition at line 67 of file diffusion1d.cpp.

## ◆ compute_overthreshold()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::compute_overthreshold | ( |  | ) |

Definition at line 73 of file diffusion1d.cpp.

## ◆ compute_threshold()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::compute_threshold | ( |  | ) |

Definition at line 69 of file diffusion1d.cpp.

## ◆ createMatrices() [1/3]

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DCartesian >::createMatrices | ( | DataVector< double > | A_matrix,
|  | DataVector< double > | B_vector
| ) |  |
| protected

Definition at line 401 of file diffusion1d.cpp.

## ◆ createMatrices() [2/3]

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DCylindrical >::createMatrices | ( | DataVector< double > | A_matrix,
|  | DataVector< double > | B_vector
| ) |  |
| protected

Definition at line 496 of file diffusion1d.cpp.

## ◆ createMatrices() [3/3]

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::createMatrices | ( | DataVector< double > | A_matrix,
|  | DataVector< double > | B_vector
| ) |  |
| protected

## ◆ current_mesh()

template<typename Geometry2DType >

RegularAxis & plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::current_mesh | ( |  | ) |
| inline

Definition at line 82 of file diffusion1d.hpp.

## ◆ current_mesh_ptr()

template<typename Geometry2DType >

shared_ptr< MeshAxis > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::current_mesh_ptr | ( |  | ) |
| inline

Definition at line 77 of file diffusion1d.hpp.

## ◆ detectQuantumWells()

template<typename Geometry2DType >

std::vector< Box2D > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::detectQuantumWells | ( |  | ) |
| protected

Definition at line 754 of file diffusion1d.cpp.

## ◆ determineQwWidth()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::determineQwWidth | ( |  | ) |
| protected

Definition at line 852 of file diffusion1d.cpp.

## ◆ E()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::E | ( | int | i | ) |
| protected

Definition at line 641 of file diffusion1d.cpp.

## ◆ F()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::F | ( | int | i | ) |
| protected

Definition at line 655 of file diffusion1d.cpp.

## ◆ getClassName() [1/3]

std::string plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DCartesian >::getClassName | ( |  | ) | const
| virtual

Get name of solver.

Returns
  name of this solver

Implements plask::Solver.

Definition at line 878 of file diffusion1d.cpp.

## ◆ getClassName() [2/3]

std::string plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DCylindrical >::getClassName | ( |  | ) | const
| virtual

Get name of solver.

Returns
  name of this solver

Implements plask::Solver.

Definition at line 879 of file diffusion1d.cpp.

## ◆ getClassName() [3/3]

template<typename Geometry2DType >

std::string plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::getClassName | ( |  | ) | const
| override virtual

Get name of solver.

Returns
  name of this solver

Implements plask::Solver.

## ◆ getConcentration()

template<typename Geometry2DType >

const LazyData< double > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::getConcentration | ( | CarriersConcentration::EnumType | what,
|  | shared_ptr< const MeshD< 2 > > | dest_mesh,
|  | InterpolationMethod | interpolation = `INTERPOLATION_DEFAULT`
| ) |  | const
| protected

Provide concentration from inside to the provider (outConcentration).

Definition at line 623 of file diffusion1d.cpp.

## ◆ getZQWCoordinate()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::getZQWCoordinate | ( |  | ) |
| protected

Definition at line 825 of file diffusion1d.cpp.

## ◆ getZQWCoordinates()

template<typename Geometry2DType >

std::vector< double > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::getZQWCoordinates | ( |  | ) |
| protected

Definition at line 841 of file diffusion1d.cpp.

## ◆ jacobian() [1/3]

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::jacobian | ( | double | r | ) |
| protected

## ◆ jacobian() [2/3]

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DCylindrical >::jacobian | ( | double | r | ) |
| inline protected

Definition at line 173 of file diffusion1d.hpp.

## ◆ jacobian() [3/3]

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DCartesian >::jacobian | ( | double |  | ) |
| inline protected

Definition at line 168 of file diffusion1d.hpp.

## ◆ K()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::K | ( | int | i | ) |
| protected

Definition at line 633 of file diffusion1d.cpp.

## ◆ leftSide()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::leftSide | ( | std::size_t | i | ) |
| protected

Definition at line 724 of file diffusion1d.cpp.

## ◆ loadConfiguration()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::loadConfiguration | ( | XMLReader & | source,
|  | Manager & | manager
| ) |  |
| override virtual

Load configuration from given `source`.

XML reader (`source`) point to opening of `this` solver tag and after return from this method should point to this solver closing tag.

Parameters

  source | source of configuration
  manager | manager from which information about geometry, meshes, materials, and so on can be get if needed

Reimplemented from plask::Solver.

Definition at line 36 of file diffusion1d.cpp.

## ◆ MatrixFEM()

template<typename Geometry2DType >

bool plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::MatrixFEM | ( |  | ) |
| protected

< Computational Light intensity mesh

Definition at line 178 of file diffusion1d.cpp.

## ◆ nSecondDeriv()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::nSecondDeriv | ( | std::size_t | i | ) |
| protected

Definition at line 672 of file diffusion1d.cpp.

## ◆ onInitialize()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::onInitialize | ( |  | ) |
| override protected virtual

Initialize the solver.

Default implementation just does nothing, however it is a good idea to overwrite it in subclasses and put initialization code in it.

Reimplemented from plask::Solver.

Definition at line 77 of file diffusion1d.cpp.

## ◆ onInvalidate()

template<typename Geometry2DType >

void plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::onInvalidate | ( |  | ) |
| override protected virtual

This method is called by invalidate() to reset stored values.

Default implementation does nothing.

See also
  invalidate()

Reimplemented from plask::Solver.

Definition at line 102 of file diffusion1d.cpp.

## ◆ rightSide()

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::rightSide | ( | std::size_t | i | ) |
| protected

Definition at line 750 of file diffusion1d.cpp.

## Member Data Documentation

## ◆ detected_QW

template<typename Geometry2DType >

std::vector<Box2D> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::detected_QW
| protected

Definition at line 110 of file diffusion1d.hpp.

## ◆ do_initial

template<typename Geometry2DType >

bool plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::do_initial

Should we start from initial computations.

Definition at line 47 of file diffusion1d.hpp.

## ◆ fem_method

template<typename Geometry2DType >

FemMethod plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::fem_method

Finite element method (linear or parabolic)

Definition at line 45 of file diffusion1d.hpp.

## ◆ global_QW_width

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::global_QW_width
| protected

Definition at line 105 of file diffusion1d.hpp.

## ◆ hk

template<typename Geometry2DType >

constexpr double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::hk = phys::h_J/plask::PI
| static constexpr protected

Definition at line 95 of file diffusion1d.hpp.

## ◆ inCurrentDensity

template<typename Geometry2DType >

ReceiverFor<CurrentDensity, Geometry2DType> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::inCurrentDensity

Definition at line 33 of file diffusion1d.hpp.

## ◆ inGain

template<typename Geometry2DType >

ReceiverFor<Gain, Geometry2DType> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::inGain

Definition at line 35 of file diffusion1d.hpp.

## ◆ initial_computation

template<typename Geometry2DType >

bool plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::initial_computation
| protected

Definition at line 101 of file diffusion1d.hpp.

## ◆ inLightE

template<typename Geometry2DType >

ReceiverFor<ModeLightE, Geometry2DType> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::inLightE

Definition at line 37 of file diffusion1d.hpp.

## ◆ inTemperature

template<typename Geometry2DType >

ReceiverFor<Temperature, Geometry2DType> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::inTemperature

Definition at line 34 of file diffusion1d.hpp.

## ◆ interpolation_method

template<typename Geometry2DType >

InterpolationMethod plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::interpolation_method

Selected interpolation method.

Definition at line 41 of file diffusion1d.hpp.

## ◆ inWavelength

template<typename Geometry2DType >

ReceiverFor<ModeWavelength> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::inWavelength

Definition at line 36 of file diffusion1d.hpp.

## ◆ iterations

template<typename Geometry2DType >

int plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::iterations
| protected

Definition at line 106 of file diffusion1d.hpp.

## ◆ j_on_the_mesh

template<typename Geometry2DType >

LazyData<Vec<2> > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::j_on_the_mesh
| protected

Definition at line 112 of file diffusion1d.hpp.

## ◆ max_iterations

template<typename Geometry2DType >

int plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::max_iterations

Maximum number of diffusion iterations for sigle mesh size.

Definition at line 44 of file diffusion1d.hpp.

## ◆ max_mesh_changes

template<typename Geometry2DType >

int plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::max_mesh_changes

Maximum number of mesh refinemenst.

Definition at line 43 of file diffusion1d.hpp.

## ◆ mesh2

template<typename Geometry2DType >

shared_ptr<RectangularMesh<2> > plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::mesh2
| protected

Computational mesh.

Definition at line 93 of file diffusion1d.hpp.

## ◆ minor_concentration

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::minor_concentration

Definition at line 46 of file diffusion1d.hpp.

## ◆ modesP

template<typename Geometry2DType >

std::vector<double> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::modesP

Definition at line 89 of file diffusion1d.hpp.

## ◆ n_present

template<typename Geometry2DType >

DataVector<double> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::n_present
| protected

Definition at line 119 of file diffusion1d.hpp.

## ◆ n_previous

template<typename Geometry2DType >

DataVector<double> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::n_previous
| protected

Definition at line 118 of file diffusion1d.hpp.

## ◆ outCarriersConcentration

template<typename Geometry2DType >

ProviderFor<CarriersConcentration,Geometry2DType>::Delegate plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::outCarriersConcentration

Definition at line 39 of file diffusion1d.hpp.

## ◆ overthreshold_computation

template<typename Geometry2DType >

bool plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::overthreshold_computation
| protected

Definition at line 103 of file diffusion1d.hpp.

## ◆ overthreshold_dgdn

template<typename Geometry2DType >

DataVector<double> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::overthreshold_dgdn
| protected

Definition at line 116 of file diffusion1d.hpp.

## ◆ PM

template<typename Geometry2DType >

DataVector<double> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::PM
| protected

Definition at line 115 of file diffusion1d.hpp.

## ◆ QW_material

template<typename Geometry2DType >

shared_ptr<Material> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::QW_material
| protected

Definition at line 97 of file diffusion1d.hpp.

## ◆ relative_accuracy

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::relative_accuracy

Relative accuracy.

Definition at line 42 of file diffusion1d.hpp.

## ◆ T_on_the_mesh

template<typename Geometry2DType >

LazyData<double> plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::T_on_the_mesh
| protected

Definition at line 113 of file diffusion1d.hpp.

## ◆ threshold_computation

template<typename Geometry2DType >

bool plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::threshold_computation
| protected

Definition at line 102 of file diffusion1d.hpp.

## ◆ z

template<typename Geometry2DType >

double plask::electrical::diffusion1d::DiffusionFem2DSolver< Geometry2DType >::z
| protected

Definition at line 99 of file diffusion1d.hpp.

The documentation for this class was generated from the following files:

- solvers/electrical/olddiffusion/diffusion1d.hpp
- solvers/electrical/olddiffusion/diffusion1d.cpp